---
title: unparsed-entity-url
slug: Web/XPath/Functions/unparsed-entity-url
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>unparsed-entity-url()</code> function returns the URI of the unparsed entity with the given name. This is non-XML data referenced in the DTD of the source document.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">string unparsed-entity-url(string)
</pre>

<h3 id="Arguments">Arguments</h3>

<p>The name of the unparsed entity. If the argument is not a string, it is converted using the rules of the string() function. The name should be an XML Name.</p>

<h3 id="Returns">Returns</h3>

<p>The URI of the unparsed entity retrieved from the DTD, if it exists. Otherwise an empty string.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xslt#function-unparsed-entity-uri">XSLT 1.0 12.4</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Not supported.</p>
